Vector BLF: Vector::BLF::TestStructure Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Vector::BLF::TestStructure Struct Referencefinal

TEST_STRUCTURE. More...

`#include <TestStructure.h>`

Inheritance diagram for Vector::BLF::TestStructure:

## Public Types
enum | Type : uint16_t { TM_TESTMODULE = 1 , TM_TESTGROUP = 2 , TM_TESTCASE = 3 , TESTCONFIGURATION = 8 , TESTUNIT = 9 , TESTGROUP = 10 , TESTFIXTURE = 11 , TESTSEQUENCE = 12 , TESTSEQUENCELIST = 13 , TESTCASE = 14 , TESTCASELIST = 15 }
enum | Action : uint16_t { BEGIN = 1 , END = 2 , ABORT = 3 }
enum | Result : uint16_t { UNDEFINED = 0 , NONE = 1 , PASSED = 2 , INCONCLUSIVE = 3 , FAILED = 4 , ERRORINTESTSYSTEM = 5 }
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint32_t | executionObjectIdentify {}
| unique ID identifying the executing test module or test configuration
uint16_t | type {}
| type of structure element, see BL_TESTSTRUCT_TYPE_xxx
uint16_t | reservedTestStructure {}
uint32_t | uniqueNo {}
| unique number of structure element (in this test run, transitive, can be used to correlate begin/end events)
uint16_t | action {}
| indicates begin/end of structure element, see BL_TESTSTRUCT_ACTION_xxx
uint16_t | result {}
| overall result (verdict) for end of structure element events
uint32_t | executingObjectNameLength {}
| string length in wchar_t's for executingObjectName
uint32_t | nameLength {}
| string length in wchar_t's for name
uint32_t | textLength {}
| string length in wchar_t's for text
std::u16string | executingObjectName {}
| name of the executing test module or test configuration as shown in CANoe (wchar_t)
std::u16string | name {}
| name of structure element (can change between begin/end when using CAPL function TestCaseTitle or similar (wchar_t)
std::u16string | text {}
| full informational text for event as it appears in CANoe trace window
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Detailed Description

TEST_STRUCTURE.

## Member Enumeration Documentation

## ◆ Action

enum Vector::BLF::TestStructure::Action : uint16_t

enumeration for action

Enumerator
ABORT | early abortion of test execution (due to e.g. verdict impact, user stop or failed assure pattern), always correlated to test module / test configuration and followed by "end" action

## ◆ Result

enum Vector::BLF::TestStructure::Result : uint16_t

enumeration for result

## ◆ Type

enum Vector::BLF::TestStructure::Type : uint16_t

enumeration for type

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::TestStructure::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeader.

## ◆ read()

void Vector::BLF::TestStructure::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeader.

## ◆ write()

void Vector::BLF::TestStructure::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeader.

## Member Data Documentation

## ◆ reservedTestStructure

uint16_t Vector::BLF::TestStructure::reservedTestStructure {}

reserved

The documentation for this struct was generated from the following files:

- TestStructure.h
- TestStructure.cpp